Metadata revisions for structured-cli-2.5.0.0

Package maintainers and Hackage trustees are allowed to edit certain bits of package metadata after a release, without uploading a new tarball. Note that the tarball itself is never changed, just the metadata that is stored separately. For more information about metadata revisions, please refer to the Hackage Metadata Revisions FAQ.

No. Time User SHA256
-r4 2019-12-30T21:40:07Z erick 9d25a8d283145a8e3060937c72166507e8dae906b9d34c6ee5990894da1675d1
  • Changed the library component's library dependency on 'base' from

    >=4.9.1.0 && <5
    to
    >=4.9.1.0 && <4.12

  • Changed the executable 'some-cli' component's library dependency on 'base' from

    >=4.9.1.0 && <5
    to
    >=4.9.1.0 && <4.12

-r3 2019-01-30T21:12:39Z erick 984995be07142ca3f9e70471479340328bf7677491d09d5a1d9e460920504b78
  • Changed the library component's library dependency on 'base' from

    >=4.7 && <5
    to
    >=4.9.1.0 && <5

  • Changed the executable 'some-cli' component's library dependency on 'base' from

    >=4.7 && <5
    to
    >=4.9.1.0 && <5

-r2 2019-01-30T19:58:33Z erick 7be633a20e1a9c31245c04cfb5ee679b0bbc30fe7ed9f1b1f93e7a472f251b79
  • Changed the executable 'some-cli' component's library dependency on 'base' from

    -any
    to
    >=4.7 && <5

  • Changed the executable 'some-cli' component's library dependency on 'data-default' from

    -any
    to
    >=0.7.1.1 && <0.8

  • Changed the executable 'some-cli' component's library dependency on 'mtl' from

    -any
    to
    >=2.2.1 && <3.0

  • Changed the executable 'some-cli' component's library dependency on 'split' from

    -any
    to
    >=0.2.3.2 && <0.3

-r1 2019-01-30T19:15:26Z erick bef0431c4552a10ba5e8e748737f0a31a32cf86148097591b7a8a886a99f2091
  • Changed bug-reports

    https://gitlab.com/codemonkeylabs/structured-cli/issues

  • Changed the library component's library dependency on 'data-default' from

    -any
    to
    >=0.7.1.1 && <0.8

  • Changed the library component's library dependency on 'haskeline' from

    -any
    to
    >=0.7.4.0 && <0.8

  • Changed the library component's library dependency on 'mtl' from

    -any
    to
    >=2.2.1 && <3.0

  • Changed the library component's library dependency on 'split' from

    -any
    to
    >=0.2.3.2 && <0.3

  • Changed the library component's library dependency on 'transformers' from

    -any
    to
    >=0.5.2.0 && <0.6

-r0 2018-11-22T19:19:28Z erick e020fa11a492a34f2d821ec32916e2de4e557cffc2d20b2927daa6fe92d929b1